package com.diagbot.exception;

/**
 * @Description: 本服务错误码
 *      系统码(3位) + 等级码(1位) + 4位顺序号
 *      系统码 通用码 000；用户中心 100； 管理中心 200；
 * @author: gaodm
 * @time: 2018/9/10 11:11
 */
public enum ServiceErrorCode implements ErrorCode {
    LOG_IS_NOT_EXIST("90020001","该日志不存在");

    private String code;
    private String msg;


    ServiceErrorCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static ServiceErrorCode codeOf(String code) {
        for (ServiceErrorCode state : values()) {
            if (state.getCode() == code) {
                return state;
            }
        }
        return null;
    }
}
